.step7
    YuriHeader(
        title="Nueva operación"
        tag="Quiero invertir"
    )

    b-row.form(class="justify-content-center")
        b-col(cols="12" lg="8")
            ValidationObserver(v-slot="{ valid }")
                .l-subtitle Nueva operación
                .py-3.py-xl-5
                    b-form(autocomplete="off")
                        b-row
                            b-col.mb-5(v-if="showProductTypeOptions" cols="12")
                                label.form__label
                                    | Tipo de producto *
                                b-row
                                    b-col(cols="12" md="6")
                                        .e-btn(
                                            :class="productType === 'FI' ? 'e-btn__brand' : 'e-btn__secondary'"
                                            @click="handleProductTypeSelection('FI')"
                                        ) Fondo de inversión
                                    b-col(cols="12" md="6")
                                        .e-btn(
                                            :title="isPPDisabled ? PPDisabledReason : ''"
                                            :class="[isPPDisabled ? 'disabled' : '', (productType === 'PP' || isPPDisabled) ? 'e-btn__brand' : 'e-btn__secondary']"
                                            @click="!isPPDisabled && handleProductTypeSelection('PP')"
                                        ) Plan de pensiones

                            b-col(cols="12")
                                label.form__label
                                    | Tipo de operación *
                                ValidationProvider(name="Tipo de operación" v-slot="{ errors }" rules="required")
                                    multiselect(
                                        :disabled="!productType"
                                        placeholder="Selecciona un valor"
                                        v-model="selectedOperation"
                                        :show-labels="false"
                                        :searchable="true"
                                        label="name"
                                        track-by="name"
                                        :options="operationsOptions"
                                        @input="handleOperationSelection"
                                    )
                                    .form__error {{ errors[0] }}

                            b-col(cols="12")
                                label.form__label
                                    | Producto *
                                ValidationProvider(name="Producto" v-slot="{ errors }" rules="required")
                                    multiselect(
                                        :disabled="!productType || !selectedOperation"
                                        placeholder="Selecciona un valor"
                                        v-model="selectedProduct"
                                        :show-labels="false"
                                        :searchable="true"
                                        label="name"
                                        track-by="name"
                                        :options="productsOptions"
                                        @input="handleProductSelection"
                                    )
                                    .form__error {{ errors[0] }}

                    div(v-if="selectedOperation && selectedProduct.key")
                        .l-subtitle.my-5 {{selectedOperation.name}} a {{selectedProduct.name}}
                        OperationForm(
                            v-if="selectedOperation && selectedProduct"
                            :productType="productType"
                            :selectedOperation="selectedOperation"
                            :selectedProduct="selectedProduct"
                            :operationData="operationData"
                        )



                .d-flex.justify-content-end.mt-3.mt-md-4
                    span(
                        :class="!valid ? 'disabled' : ''"
                        class="e-btn e-btn__brand"
                        @click="handleNext(valid)"
                    ) Continuar